import sbt._
import Keys._
import PlayProject._

object ApplicationBuild extends Build {

    val appName         = "geopap-browser"
    val appVersion      = "1.0-SNAPSHOT"

    val appDependencies = Seq(
      // Add your project dependencies here,
      "org.xerial"                        %    "sqlite-jdbc"              %   "3.6.16",
      "jfree"                             %    "jfreechart"               %   "1.0.13"
    )

    val main = PlayProject(appName, appVersion, appDependencies, mainLang = JAVA).settings(
      // Add your own project settings here      
    )

}
