// @SOURCE:C:/hydrologis/development/geopap-browser-hg/geopap-browser/conf/routes
// @HASH:43c0dc0c9726a0417800fe194598b708c9751eef
// @DATE:Fri Apr 27 09:30:25 CEST 2012

import play.core._
import play.core.Router._
import play.core.j._

import play.api.mvc._
import play.libs.F

import Router.queryString


// @LINE:21
// @LINE:18
// @LINE:17
// @LINE:16
// @LINE:15
// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
// @LINE:10
// @LINE:9
// @LINE:6
package controllers {

// @LINE:14
// @LINE:13
class ReverseGis {
    


 
// @LINE:13
def notesToShape(id:Long) = {
   Call("GET", "/downloadNotesShp/" + implicitly[PathBindable[Long]].unbind("id", id))
}
                                                        
 
// @LINE:14
def logsToShape(id:Long) = {
   Call("GET", "/downloadLogsShp/" + implicitly[PathBindable[Long]].unbind("id", id))
}
                                                        

                      
    
}
                            

// @LINE:18
// @LINE:17
// @LINE:16
// @LINE:15
// @LINE:12
// @LINE:11
// @LINE:10
// @LINE:9
// @LINE:6
class ReverseApplication {
    


 
// @LINE:15
def logChart(pid:Long, lid:Long) = {
   Call("GET", "/logChart/" + implicitly[PathBindable[Long]].unbind("pid", pid) + "/" + implicitly[PathBindable[Long]].unbind("lid", lid))
}
                                                        
 
// @LINE:18
def uploadFile() = {
   Call("GET", "/uploadfile")
}
                                                        
 
// @LINE:12
def downloadProject(id:Long) = {
   Call("GET", "/download/" + implicitly[PathBindable[Long]].unbind("id", id))
}
                                                        
 
// @LINE:11
def download() = {
   Call("GET", "/download")
}
                                                        
 
// @LINE:16
def delete(id:Long) = {
   Call("GET", "/delete/" + implicitly[PathBindable[Long]].unbind("id", id))
}
                                                        
 
// @LINE:10
def upload() = {
   Call("POST", "/upload")
}
                                                        
 
// @LINE:17
def show(id:Long) = {
   Call("GET", "/show/" + implicitly[PathBindable[Long]].unbind("id", id))
}
                                                        
 
// @LINE:6
def index() = {
   Call("GET", "/")
}
                                                        
 
// @LINE:9
def projects(filter:String) = {
   Call("GET", "/projects/" + implicitly[PathBindable[String]].unbind("filter", filter))
}
                                                        

                      
    
}
                            

// @LINE:21
class ReverseAssets {
    


 
// @LINE:21
def at(file:String) = {
   Call("GET", "/assets/" + implicitly[PathBindable[String]].unbind("file", file))
}
                                                        

                      
    
}
                            
}
                    


// @LINE:21
// @LINE:18
// @LINE:17
// @LINE:16
// @LINE:15
// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
// @LINE:10
// @LINE:9
// @LINE:6
package controllers.javascript {

// @LINE:14
// @LINE:13
class ReverseGis {
    


 
// @LINE:13
def notesToShape = JavascriptReverseRoute(
   "controllers.Gis.notesToShape",
   """
      function(id) {
      return _wA({method:"GET", url:"/downloadNotesShp/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("id", id)})
      }
   """
)
                                                        
 
// @LINE:14
def logsToShape = JavascriptReverseRoute(
   "controllers.Gis.logsToShape",
   """
      function(id) {
      return _wA({method:"GET", url:"/downloadLogsShp/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("id", id)})
      }
   """
)
                                                        

                      
    
}
                            

// @LINE:18
// @LINE:17
// @LINE:16
// @LINE:15
// @LINE:12
// @LINE:11
// @LINE:10
// @LINE:9
// @LINE:6
class ReverseApplication {
    


 
// @LINE:15
def logChart = JavascriptReverseRoute(
   "controllers.Application.logChart",
   """
      function(pid,lid) {
      return _wA({method:"GET", url:"/logChart/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("pid", pid) + "/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("lid", lid)})
      }
   """
)
                                                        
 
// @LINE:18
def uploadFile = JavascriptReverseRoute(
   "controllers.Application.uploadFile",
   """
      function() {
      return _wA({method:"GET", url:"/uploadfile"})
      }
   """
)
                                                        
 
// @LINE:12
def downloadProject = JavascriptReverseRoute(
   "controllers.Application.downloadProject",
   """
      function(id) {
      return _wA({method:"GET", url:"/download/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("id", id)})
      }
   """
)
                                                        
 
// @LINE:11
def download = JavascriptReverseRoute(
   "controllers.Application.download",
   """
      function() {
      return _wA({method:"GET", url:"/download"})
      }
   """
)
                                                        
 
// @LINE:16
def delete = JavascriptReverseRoute(
   "controllers.Application.delete",
   """
      function(id) {
      return _wA({method:"GET", url:"/delete/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("id", id)})
      }
   """
)
                                                        
 
// @LINE:10
def upload = JavascriptReverseRoute(
   "controllers.Application.upload",
   """
      function() {
      return _wA({method:"POST", url:"/upload"})
      }
   """
)
                                                        
 
// @LINE:17
def show = JavascriptReverseRoute(
   "controllers.Application.show",
   """
      function(id) {
      return _wA({method:"GET", url:"/show/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("id", id)})
      }
   """
)
                                                        
 
// @LINE:6
def index = JavascriptReverseRoute(
   "controllers.Application.index",
   """
      function() {
      return _wA({method:"GET", url:"/"})
      }
   """
)
                                                        
 
// @LINE:9
def projects = JavascriptReverseRoute(
   "controllers.Application.projects",
   """
      function(filter) {
      return _wA({method:"GET", url:"/projects/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("filter", filter)})
      }
   """
)
                                                        

                      
    
}
                            

// @LINE:21
class ReverseAssets {
    


 
// @LINE:21
def at = JavascriptReverseRoute(
   "controllers.Assets.at",
   """
      function(file) {
      return _wA({method:"GET", url:"/assets/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("file", file)})
      }
   """
)
                                                        

                      
    
}
                            
}
                    


// @LINE:21
// @LINE:18
// @LINE:17
// @LINE:16
// @LINE:15
// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
// @LINE:10
// @LINE:9
// @LINE:6
package controllers.ref {

// @LINE:14
// @LINE:13
class ReverseGis {
    


 
// @LINE:13
def notesToShape(id:Long) = new play.api.mvc.HandlerRef(
   controllers.Gis.notesToShape(id), HandlerDef(this, "controllers.Gis", "notesToShape", Seq(classOf[Long]))
)
                              
 
// @LINE:14
def logsToShape(id:Long) = new play.api.mvc.HandlerRef(
   controllers.Gis.logsToShape(id), HandlerDef(this, "controllers.Gis", "logsToShape", Seq(classOf[Long]))
)
                              

                      
    
}
                            

// @LINE:18
// @LINE:17
// @LINE:16
// @LINE:15
// @LINE:12
// @LINE:11
// @LINE:10
// @LINE:9
// @LINE:6
class ReverseApplication {
    


 
// @LINE:15
def logChart(pid:Long, lid:Long) = new play.api.mvc.HandlerRef(
   controllers.Application.logChart(pid, lid), HandlerDef(this, "controllers.Application", "logChart", Seq(classOf[Long], classOf[Long]))
)
                              
 
// @LINE:18
def uploadFile() = new play.api.mvc.HandlerRef(
   controllers.Application.uploadFile(), HandlerDef(this, "controllers.Application", "uploadFile", Seq())
)
                              
 
// @LINE:12
def downloadProject(id:Long) = new play.api.mvc.HandlerRef(
   controllers.Application.downloadProject(id), HandlerDef(this, "controllers.Application", "downloadProject", Seq(classOf[Long]))
)
                              
 
// @LINE:11
def download() = new play.api.mvc.HandlerRef(
   controllers.Application.download(), HandlerDef(this, "controllers.Application", "download", Seq())
)
                              
 
// @LINE:16
def delete(id:Long) = new play.api.mvc.HandlerRef(
   controllers.Application.delete(id), HandlerDef(this, "controllers.Application", "delete", Seq(classOf[Long]))
)
                              
 
// @LINE:10
def upload() = new play.api.mvc.HandlerRef(
   controllers.Application.upload(), HandlerDef(this, "controllers.Application", "upload", Seq())
)
                              
 
// @LINE:17
def show(id:Long) = new play.api.mvc.HandlerRef(
   controllers.Application.show(id), HandlerDef(this, "controllers.Application", "show", Seq(classOf[Long]))
)
                              
 
// @LINE:6
def index() = new play.api.mvc.HandlerRef(
   controllers.Application.index(), HandlerDef(this, "controllers.Application", "index", Seq())
)
                              
 
// @LINE:9
def projects(filter:String) = new play.api.mvc.HandlerRef(
   controllers.Application.projects(filter), HandlerDef(this, "controllers.Application", "projects", Seq(classOf[String]))
)
                              

                      
    
}
                            

// @LINE:21
class ReverseAssets {
    


 
// @LINE:21
def at(path:String, file:String) = new play.api.mvc.HandlerRef(
   controllers.Assets.at(path, file), HandlerDef(this, "controllers.Assets", "at", Seq(classOf[String], classOf[String]))
)
                              

                      
    
}
                            
}
                    
                