// @SOURCE:C:/hydrologis/development/geopap-browser-hg/geopap-browser/conf/routes
// @HASH:43c0dc0c9726a0417800fe194598b708c9751eef
// @DATE:Fri Apr 27 09:30:25 CEST 2012

import play.core._
import play.core.Router._
import play.core.j._

import play.api.mvc._
import play.libs.F

import Router.queryString

object Routes extends Router.Routes {


// @LINE:6
val controllers_Application_index0 = Route("GET", PathPattern(List(StaticPart("/"))))
                    

// @LINE:9
val controllers_Application_projects1 = Route("GET", PathPattern(List(StaticPart("/projects/"),DynamicPart("filter", """[^/]+"""))))
                    

// @LINE:10
val controllers_Application_upload2 = Route("POST", PathPattern(List(StaticPart("/upload"))))
                    

// @LINE:11
val controllers_Application_download3 = Route("GET", PathPattern(List(StaticPart("/download"))))
                    

// @LINE:12
val controllers_Application_downloadProject4 = Route("GET", PathPattern(List(StaticPart("/download/"),DynamicPart("id", """[^/]+"""))))
                    

// @LINE:13
val controllers_Gis_notesToShape5 = Route("GET", PathPattern(List(StaticPart("/downloadNotesShp/"),DynamicPart("id", """[^/]+"""))))
                    

// @LINE:14
val controllers_Gis_logsToShape6 = Route("GET", PathPattern(List(StaticPart("/downloadLogsShp/"),DynamicPart("id", """[^/]+"""))))
                    

// @LINE:15
val controllers_Application_logChart7 = Route("GET", PathPattern(List(StaticPart("/logChart/"),DynamicPart("pid", """[^/]+"""),StaticPart("/"),DynamicPart("lid", """[^/]+"""))))
                    

// @LINE:16
val controllers_Application_delete8 = Route("GET", PathPattern(List(StaticPart("/delete/"),DynamicPart("id", """[^/]+"""))))
                    

// @LINE:17
val controllers_Application_show9 = Route("GET", PathPattern(List(StaticPart("/show/"),DynamicPart("id", """[^/]+"""))))
                    

// @LINE:18
val controllers_Application_uploadFile10 = Route("GET", PathPattern(List(StaticPart("/uploadfile"))))
                    

// @LINE:21
val controllers_Assets_at11 = Route("GET", PathPattern(List(StaticPart("/assets/"),DynamicPart("file", """.+"""))))
                    
def documentation = List(("""GET""","""/""","""controllers.Application.index()"""),("""GET""","""/projects/$filter<[^/]+>""","""controllers.Application.projects(filter:String)"""),("""POST""","""/upload""","""controllers.Application.upload()"""),("""GET""","""/download""","""controllers.Application.download()"""),("""GET""","""/download/$id<[^/]+>""","""controllers.Application.downloadProject(id:Long)"""),("""GET""","""/downloadNotesShp/$id<[^/]+>""","""controllers.Gis.notesToShape(id:Long)"""),("""GET""","""/downloadLogsShp/$id<[^/]+>""","""controllers.Gis.logsToShape(id:Long)"""),("""GET""","""/logChart/$pid<[^/]+>/$lid<[^/]+>""","""controllers.Application.logChart(pid:Long, lid:Long)"""),("""GET""","""/delete/$id<[^/]+>""","""controllers.Application.delete(id:Long)"""),("""GET""","""/show/$id<[^/]+>""","""controllers.Application.show(id:Long)"""),("""GET""","""/uploadfile""","""controllers.Application.uploadFile()"""),("""GET""","""/assets/$file<.+>""","""controllers.Assets.at(path:String = "/public", file:String)"""))
             
    
def routes:PartialFunction[RequestHeader,Handler] = {        

// @LINE:6
case controllers_Application_index0(params) => {
   call { 
        invokeHandler(_root_.controllers.Application.index(), HandlerDef(this, "controllers.Application", "index", Nil))
   }
}
                    

// @LINE:9
case controllers_Application_projects1(params) => {
   call(params.fromPath[String]("filter", None)) { (filter) =>
        invokeHandler(_root_.controllers.Application.projects(filter), HandlerDef(this, "controllers.Application", "projects", Seq(classOf[String])))
   }
}
                    

// @LINE:10
case controllers_Application_upload2(params) => {
   call { 
        invokeHandler(_root_.controllers.Application.upload(), HandlerDef(this, "controllers.Application", "upload", Nil))
   }
}
                    

// @LINE:11
case controllers_Application_download3(params) => {
   call { 
        invokeHandler(_root_.controllers.Application.download(), HandlerDef(this, "controllers.Application", "download", Nil))
   }
}
                    

// @LINE:12
case controllers_Application_downloadProject4(params) => {
   call(params.fromPath[Long]("id", None)) { (id) =>
        invokeHandler(_root_.controllers.Application.downloadProject(id), HandlerDef(this, "controllers.Application", "downloadProject", Seq(classOf[Long])))
   }
}
                    

// @LINE:13
case controllers_Gis_notesToShape5(params) => {
   call(params.fromPath[Long]("id", None)) { (id) =>
        invokeHandler(_root_.controllers.Gis.notesToShape(id), HandlerDef(this, "controllers.Gis", "notesToShape", Seq(classOf[Long])))
   }
}
                    

// @LINE:14
case controllers_Gis_logsToShape6(params) => {
   call(params.fromPath[Long]("id", None)) { (id) =>
        invokeHandler(_root_.controllers.Gis.logsToShape(id), HandlerDef(this, "controllers.Gis", "logsToShape", Seq(classOf[Long])))
   }
}
                    

// @LINE:15
case controllers_Application_logChart7(params) => {
   call(params.fromPath[Long]("pid", None), params.fromPath[Long]("lid", None)) { (pid, lid) =>
        invokeHandler(_root_.controllers.Application.logChart(pid, lid), HandlerDef(this, "controllers.Application", "logChart", Seq(classOf[Long], classOf[Long])))
   }
}
                    

// @LINE:16
case controllers_Application_delete8(params) => {
   call(params.fromPath[Long]("id", None)) { (id) =>
        invokeHandler(_root_.controllers.Application.delete(id), HandlerDef(this, "controllers.Application", "delete", Seq(classOf[Long])))
   }
}
                    

// @LINE:17
case controllers_Application_show9(params) => {
   call(params.fromPath[Long]("id", None)) { (id) =>
        invokeHandler(_root_.controllers.Application.show(id), HandlerDef(this, "controllers.Application", "show", Seq(classOf[Long])))
   }
}
                    

// @LINE:18
case controllers_Application_uploadFile10(params) => {
   call { 
        invokeHandler(_root_.controllers.Application.uploadFile(), HandlerDef(this, "controllers.Application", "uploadFile", Nil))
   }
}
                    

// @LINE:21
case controllers_Assets_at11(params) => {
   call(Param[String]("path", Right("/public")), params.fromPath[String]("file", None)) { (path, file) =>
        invokeHandler(_root_.controllers.Assets.at(path, file), HandlerDef(this, "controllers.Assets", "at", Seq(classOf[String], classOf[String])))
   }
}
                    
}
    
}
                