
package views.html

import play.templates._
import play.templates.TemplateMagic._

import play.api.templates._
import play.api.templates.PlayMagic._
import models._
import controllers._
import java.lang._
import java.util._
import scala.collection.JavaConversions._
import scala.collection.JavaConverters._
import play.api.i18n._
import play.api.templates.PlayMagicForJava._
import play.mvc._
import play.data._
import play.api.data.Field
import com.avaje.ebean._
import play.mvc.Http.Context.Implicit._
import views.html._
/**/
object viewproject extends BaseScalaTemplate[play.api.templates.Html,Format[play.api.templates.Html]](play.api.templates.HtmlFormat) with play.api.templates.Template4[GeopapProject,List[GpsImage],List[GpsNote],List[GpsLog],play.api.templates.Html] {

    /**/
    def apply/*1.2*/(project: GeopapProject, images: List[GpsImage], notes: List[GpsNote], logs: List[GpsLog]):play.api.templates.Html = {
        _display_ {import helper._ 

import java.io._


Seq(format.raw/*1.92*/("""

"""),format.raw/*5.1*/("""
"""),_display_(Seq(/*6.2*/mainosm("Project View: " + project.name)/*6.42*/ {_display_(Seq(format.raw/*6.44*/("""


<script type="text/javascript">
var map, layer, markers, popup;
function onPopupClose(evt) """),format.raw("""{"""),format.raw/*11.29*/("""
	map.removePopup(popup);
"""),format.raw("""}"""),format.raw/*13.2*/("""
function addMarker(lonLat,  name)"""),format.raw("""{"""),format.raw/*14.35*/("""
	var size = new OpenLayers.Size(21, 25);
	var offset = new OpenLayers.Pixel(-(size.w / 2), -size.h);
	var icon = new OpenLayers.Icon('http://www.openstreetmap.org/openlayers/img/marker.png',size,offset);
	var marker = new OpenLayers.Marker(lonLat,
			icon);
	marker.events.register('mousedown', marker, function(evt) """),format.raw("""{"""),format.raw/*20.61*/("""
        popup = new OpenLayers.Popup.FramedCloud("chicken", 
        		lonLat,
                null,
                "<div style='font-size:2em'>" + name  +"</div>",
                null, true, onPopupClose);
		map.addPopup(popup);
		
		OpenLayers.Event.stop(evt);
	"""),format.raw("""}"""),format.raw/*29.3*/(""");
	markers.addMarker(marker);
"""),format.raw("""}"""),format.raw/*31.2*/("""

function init() """),format.raw("""{"""),format.raw/*33.18*/("""
	map = new OpenLayers.Map ("map", """),format.raw("""{"""),format.raw/*34.36*/("""
		controls:[
					new OpenLayers.Control.Navigation(),
					new OpenLayers.Control.PanZoomBar(),
					new OpenLayers.Control.LayerSwitcher(),
					new OpenLayers.Control.Attribution()],
				maxExtent: new OpenLayers.Bounds(-20037508.34,-20037508.34,20037508.34,20037508.34),
				maxResolution: 156543.0399,
				numZoomLevels: 19,
				units: 'm',
				projection: new OpenLayers.Projection("EPSG:900913"),
				displayProjection: new OpenLayers.Projection("EPSG:4326")
			"""),format.raw("""}"""),format.raw/*46.5*/(""" );
	
	
	layer = new OpenLayers.Layer.OSM("OpenStreetMap");            
	map.addLayer(layer);
	//layer = new OpenLayers.Layer.Google("Google Streets");
	//layer = new OpenLayers.Layer.VirtualEarth ( "Virtual Earth Layer" );
	//map.addLayer(layer);
	
	linesLayer = new OpenLayers.Layer.Vector("Logs", """),format.raw("""{"""),format.raw/*55.52*/("""
		projection: map.displayProjection,
        strategies: [new OpenLayers.Strategy.Fixed()],
        protocol: new OpenLayers.Protocol.HTTP("""),format.raw("""{"""),format.raw/*58.49*/("""
            url: """"),_display_(Seq(/*59.20*/routes/*59.26*/.Assets.at("geopapprojects/"+ project.folderPath +"/lines.kml"))),format.raw/*59.89*/("""",
            format: new OpenLayers.Format.KML("""),format.raw("""{"""),format.raw/*60.48*/("""
                extractStyles: true, 
                extractAttributes: true
            """),format.raw("""}"""),format.raw/*63.14*/(""")
        """),format.raw("""}"""),format.raw/*64.10*/(""")
    """),format.raw("""}"""),format.raw/*65.6*/(""");
	
	map.addLayer(linesLayer);

	markers = new OpenLayers.Layer.Markers("Markers");
	map.addLayer(markers);
	
	bounds = new OpenLayers.Bounds();
	// notes
	"""),_display_(Seq(/*74.3*/for(note <- notes) yield /*74.21*/{_display_(Seq(format.raw/*74.22*/("""
		var lonLat = new OpenLayers.LonLat("""),_display_(Seq(/*75.39*/note/*75.43*/.lon)),format.raw/*75.47*/(""", """),_display_(Seq(/*75.50*/note/*75.54*/.lat)),format.raw/*75.58*/(""").transform(new OpenLayers.Projection("EPSG:4326"), map.getProjectionObject());
		bounds.extend(lonLat);
		addMarker(lonLat, '"""),_display_(Seq(/*77.23*/note/*77.27*/.text)),format.raw/*77.32*/("""' + '<br/>' + '"""),_display_(Seq(/*77.48*/note/*77.52*/.dateTime)),format.raw/*77.61*/("""')
	""")))})),format.raw/*78.3*/("""
	
	
	map.addControl(new OpenLayers.Control.LayerSwitcher());
	map.zoomToExtent(bounds, false);
"""),format.raw("""}"""),format.raw/*83.2*/("""
</script>



</head>
<body onload="init()">
	<div id="container">
		<img src=""""),_display_(Seq(/*91.14*/routes/*91.20*/.Assets.at("images/sun.png"))),format.raw/*91.48*/("""" alt="sunshine">
		<div id="main">
			<header>
				<div id="logo">
					<div id="logo_text">
						<h1>Geopap-browser</h1>
						<h2>A simple Geopaparazzi Project Browser implementation</h2>
					</div>
				</div>
				<nav>
					<ul class="sf-menu" id="nav">
						<li><a href=""""),_display_(Seq(/*102.21*/{routes.Application.projects("*")})),format.raw/*102.55*/("""">Home</a></li>
						<li><a href=""""),_display_(Seq(/*103.21*/{routes.Application.uploadFile})),format.raw/*103.52*/("""">Project upload</a></li>
						<li><a href="http://www.geopaparazzi.eu" target="_blank">Geopaparazzi</a></li>
					</ul>
				</nav>
			</header>

			<div id="site_content">
				<div id="content">
					<h1>Project info</h1>
					<table>
						<tr> <td> <b>Project name</b> </td> <td> """),_display_(Seq(/*113.49*/project/*113.56*/.name)),format.raw/*113.61*/(""" </td> </tr>
						<tr> <td> <b>Creation date</b> </td> <td> """),_display_(Seq(/*114.50*/project/*114.57*/.date)),format.raw/*114.62*/(""" </td> </tr>
						<tr> <td> <b>User</b> </td> <td> """),_display_(Seq(/*115.41*/project/*115.48*/.userName)),format.raw/*115.57*/(""" </td> </tr>
						<tr> <td> <b>Direct zip download link</b></td> <td><a href=""""),_display_(Seq(/*116.68*/{routes.Application.downloadProject(project.id)})),format.raw/*116.116*/("""">download</a></td> </tr>
						<tr> <td colspan="2" > <a href="#MapView">Map View</a> </td> </tr>
						"""),_display_(Seq(/*118.8*/if(notes.size > 0)/*118.26*/{_display_(Seq(format.raw/*118.27*/("""
						<tr> <td colspan="2" > <a href="#GpsNotes">Gps Notes</a> </td> </tr>
						""")))})),format.raw/*120.8*/("""
						"""),_display_(Seq(/*121.8*/if(logs.size > 0)/*121.25*/{_display_(Seq(format.raw/*121.26*/("""
						<tr> <td colspan="2" > <a href="#GpsLogs">Gps Logs</a> </td> </tr>
						""")))})),format.raw/*123.8*/("""
						"""),_display_(Seq(/*124.8*/if(images.size > 0)/*124.27*/{_display_(Seq(format.raw/*124.28*/("""
						<tr> <td colspan="2" > <a href="#GpsImages">Gps Images</a> </td> </tr>
						""")))})),format.raw/*126.8*/("""
					</table>
					<br />
					<br />
					<h1><a name="MapView"></a>Map View</h1>
					<table>
						<tr>
							<td>
								<div style="width: 100%; height: 400px; position: relative;"
									id="map"></div>
							</td>
						</tr>
					</table>
					<br />
					<br />
					"""),_display_(Seq(/*141.7*/if(notes.size > 0)/*141.25*/{_display_(Seq(format.raw/*141.26*/("""
					<h1><a name="GpsNotes"></a>Gps Notes</h1>
					<a href=""""),_display_(Seq(/*143.16*/{routes.Gis.notesToShape(project.id)})),format.raw/*143.53*/("""" >download as shapefile</a>
					<br />
					<table>
						<tr>
							<th>Note</th>
							<th>Date</th>
							<th>Elevation</th>
							<th>Position</th>
						</tr>
						"""),_display_(Seq(/*152.8*/for(note <- notes) yield /*152.26*/ {_display_(Seq(format.raw/*152.28*/("""
						<tr>
							<td>
								"""),_display_(Seq(/*155.10*/note/*155.14*/.text)),format.raw/*155.19*/("""
							</td>
							<td>
								"""),_display_(Seq(/*158.10*/note/*158.14*/.dateTime)),format.raw/*158.23*/("""
							</td>
							<td>
								"""),_display_(Seq(/*161.10*/note/*161.14*/.altim)),format.raw/*161.20*/("""
							</td>
							<td>
								<a href="http://www.openstreetmap.org/?mlat="""),_display_(Seq(/*164.54*/(note.lat))),format.raw/*164.64*/("""&mlon="""),_display_(Seq(/*164.71*/(note.lon))),format.raw/*164.81*/("""&zoom=16&layers=M" target="_blank">
									<img alt="osm logo" src=""""),_display_(Seq(/*165.36*/routes/*165.42*/.Assets.at("images/osm-logo48.png"))),format.raw/*165.77*/("""">
								</a>
							</td>
						</tr>
						""")))})),format.raw/*169.8*/("""
					</table>
					<br />
					<br />
					""")))})),format.raw/*173.7*/("""
					"""),_display_(Seq(/*174.7*/if(logs.size > 0)/*174.24*/{_display_(Seq(format.raw/*174.25*/("""
					<h1><a name="GpsLogs"></a>Gps Logs</h1>
					<a href=""""),_display_(Seq(/*176.16*/{routes.Gis.logsToShape(project.id)})),format.raw/*176.52*/("""" >download as shapefile</a>
					<br />
					<table>
						<tr>
							<th>Description</th>
							<th>Start date</th>
							<th>End date</th>
							<th>Profile chart</th>
						</tr>
						"""),_display_(Seq(/*185.8*/for(log <- logs) yield /*185.24*/ {_display_(Seq(format.raw/*185.26*/("""
						<tr>
							<td>
								"""),_display_(Seq(/*188.10*/log/*188.13*/.text)),format.raw/*188.18*/("""
							</td>
							<td>
								"""),_display_(Seq(/*191.10*/log/*191.13*/.startTime)),format.raw/*191.23*/("""
							</td>
							<td>
								"""),_display_(Seq(/*194.10*/log/*194.13*/.endTime)),format.raw/*194.21*/("""
							</td>
							<td>
								<a href=""""),_display_(Seq(/*197.19*/{routes.Application.logChart(project.id, log.id)})),format.raw/*197.68*/("""" target="_blank">
									<img alt="chart" src=""""),_display_(Seq(/*198.33*/routes/*198.39*/.Assets.at("images/chart48.png"))),format.raw/*198.71*/("""">
								</a>
							</td>
						</tr>
						""")))})),format.raw/*202.8*/("""
					</table>
					<br />
					<br />
					""")))})),format.raw/*206.7*/("""
					"""),_display_(Seq(/*207.7*/if(images.size > 0)/*207.26*/{_display_(Seq(format.raw/*207.27*/("""
					<h1><a name="GpsImages"></a>Gps Images</h1>
					<table>
						<tr>
							<th>Image</th>
							<th>Info</th>
						</tr>
						"""),_display_(Seq(/*214.8*/for(image <- images) yield /*214.28*/ {_display_(Seq(format.raw/*214.30*/("""
						<tr>
							<td>
								<img alt=""""),_display_(Seq(/*217.20*/routes/*217.26*/.Assets.at(image.path))),format.raw/*217.48*/(""""
								src=""""),_display_(Seq(/*218.15*/routes/*218.21*/.Assets.at(image.path))),format.raw/*218.43*/("""">
							</td>
							<td>
								<br/>Date: """),_display_(Seq(/*221.21*/image/*221.26*/.dateTime)),format.raw/*221.35*/("""<br/>
								<br/>Elevation: """),_display_(Seq(/*222.26*/image/*222.31*/.altim)),format.raw/*222.37*/("""<br/>
								<br/>Azimuth: """),_display_(Seq(/*223.24*/image/*223.29*/.azimuth)),format.raw/*223.37*/("""<br/>
								<br/>
								<a href="http://www.openstreetmap.org/?mlat="""),_display_(Seq(/*225.54*/(image.lat))),format.raw/*225.65*/("""&mlon="""),_display_(Seq(/*225.72*/(image.lon))),format.raw/*225.83*/("""&zoom=16&layers=M" target="_blank">
									<img alt="osm logo" src=""""),_display_(Seq(/*226.36*/routes/*226.42*/.Assets.at("images/osm-logo48.png"))),format.raw/*226.77*/("""">
								</a>
							</td>
						</tr>
						""")))})),format.raw/*230.8*/("""
					</table>
					""")))})),format.raw/*232.7*/("""
				</div>
			</div>

			""")))})))}
    }
    
    def render(project:GeopapProject,images:List[GpsImage],notes:List[GpsNote],logs:List[GpsLog]) = apply(project,images,notes,logs)
    
    def f:((GeopapProject,List[GpsImage],List[GpsNote],List[GpsLog]) => play.api.templates.Html) = (project,images,notes,logs) => apply(project,images,notes,logs)
    
    def ref = this

}
                /*
                    -- GENERATED --
                    DATE: Fri Apr 27 09:30:28 CEST 2012
                    SOURCE: C:/hydrologis/development/geopap-browser-hg/geopap-browser/app/views/viewproject.scala.html
                    HASH: 64e0ccce8c054c8dd2f69ad75efa1465c1dab4c4
                    MATRIX: 810->1|1007->91|1035->129|1066->131|1114->171|1148->173|1290->268|1363->295|1445->330|1811->649|2125->917|2203->949|2269->968|2352->1004|2869->1475|3217->1776|3405->1917|3456->1937|3471->1943|3556->2006|3653->2056|3792->2148|3850->2159|3903->2166|4091->2324|4125->2342|4159->2343|4229->2382|4242->2386|4268->2390|4302->2393|4315->2397|4341->2401|4499->2528|4512->2532|4539->2537|4586->2553|4599->2557|4630->2566|4666->2571|4809->2668|4920->2748|4935->2754|4985->2782|5297->3062|5354->3096|5422->3132|5476->3163|5793->3448|5810->3455|5838->3460|5932->3522|5949->3529|5977->3534|6062->3587|6079->3594|6111->3603|6223->3683|6295->3731|6432->3837|6460->3855|6495->3856|6610->3939|6649->3947|6676->3964|6711->3965|6824->4046|6863->4054|6892->4073|6927->4074|7044->4159|7358->4442|7386->4460|7421->4461|7516->4524|7576->4561|7784->4738|7819->4756|7855->4758|7920->4791|7934->4795|7962->4800|8029->4835|8043->4839|8075->4848|8142->4883|8156->4887|8185->4893|8296->4972|8329->4982|8368->4989|8401->4999|8504->5070|8520->5076|8578->5111|8658->5159|8735->5204|8773->5211|8800->5228|8835->5229|8928->5290|8987->5326|9212->5520|9245->5536|9281->5538|9346->5571|9359->5574|9387->5579|9454->5614|9467->5617|9500->5627|9567->5662|9580->5665|9611->5673|9687->5717|9759->5766|9842->5817|9858->5823|9913->5855|9993->5903|10070->5948|10108->5955|10137->5974|10172->5975|10339->6111|10376->6131|10412->6133|10487->6176|10503->6182|10548->6204|10596->6220|10612->6226|10657->6248|10737->6296|10752->6301|10784->6310|10847->6341|10862->6346|10891->6352|10952->6381|10967->6386|10998->6394|11103->6467|11137->6478|11176->6485|11210->6496|11313->6567|11329->6573|11387->6608|11467->6656|11520->6677
                    LINES: 27->1|33->1|35->5|36->6|36->6|36->6|41->11|43->13|44->14|50->20|59->29|61->31|63->33|64->34|76->46|85->55|88->58|89->59|89->59|89->59|90->60|93->63|94->64|95->65|104->74|104->74|104->74|105->75|105->75|105->75|105->75|105->75|105->75|107->77|107->77|107->77|107->77|107->77|107->77|108->78|113->83|121->91|121->91|121->91|132->102|132->102|133->103|133->103|143->113|143->113|143->113|144->114|144->114|144->114|145->115|145->115|145->115|146->116|146->116|148->118|148->118|148->118|150->120|151->121|151->121|151->121|153->123|154->124|154->124|154->124|156->126|171->141|171->141|171->141|173->143|173->143|182->152|182->152|182->152|185->155|185->155|185->155|188->158|188->158|188->158|191->161|191->161|191->161|194->164|194->164|194->164|194->164|195->165|195->165|195->165|199->169|203->173|204->174|204->174|204->174|206->176|206->176|215->185|215->185|215->185|218->188|218->188|218->188|221->191|221->191|221->191|224->194|224->194|224->194|227->197|227->197|228->198|228->198|228->198|232->202|236->206|237->207|237->207|237->207|244->214|244->214|244->214|247->217|247->217|247->217|248->218|248->218|248->218|251->221|251->221|251->221|252->222|252->222|252->222|253->223|253->223|253->223|255->225|255->225|255->225|255->225|256->226|256->226|256->226|260->230|262->232
                    -- GENERATED --
                */
            